<template>
    <div class="table-container">
        <table>
            <thead>
                <tr class="">
                    <th v-for="column in columns" :key="column.id">{{ column.name }}</th>
                </tr>
            </thead>
            <tbody>
                <tr  v-for="item in data" :key="item.id">
                    <td v-for="column in columns" :key="column.id" :class="{ 'isOptions': column.id === 'options' }">
                        <template v-if="!column.isSlot">{{ column.callback ? column.callback(item[column.id]) : item[column.id] }} </template>
                        <span v-else><slot :name="column.id" v-bind:item="item"></slot></span>
                    </td>
                </tr>   
            </tbody>
        </table>
    </div>
</template>
<script>

export default {
    props:{
        columns: {
            type: Array,
            default: () => []
        },
        data : {
            type: Array,
            default: () => []
        }
    }

};
</script>
